List Versions
GEThttps://api.confident-ai.com/v2/datasets/{datasetId}/versions
Lists every version of the dataset, newest first. Requires the Team plan or above.
curl -X GET "https://api.confident-ai.com/v2/datasets/{datasetId}/versions" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"versions": [
{
"id": "<DATASET-VERSION-ID>",
"version": "00.00.01",
"createdAt": "2026-05-28T13:05:24.777Z"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
datasetIdstringRequiredThe unique id of the dataset.
Response
List Versions succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
versionslist of objectsThis is the list of versions of the dataset, newest first.
Show 3 propertiesHide 3 properties
idstringThe id of the dataset version assigned by Confident AI, not to be confused with the version number.
versionstringThe version number of the dataset version.
createdAtstringWhen the version was created, as an ISO 8601 timestamp.
deprecatedbooleanIndicates if this endpoint is deprecated.